package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * class PegawaiSKAsuransi
 * 
 * @author Generator
 */

public class PegawaiSKAsuransiVO extends BaseMasterVO {
	
    @ManyToOne
    @JoinColumn(name = "NoSKFk")
    @Caption(value="No S K") 
    private SuratKeputusanVO noSK;
	
	@Column(name = "NoSKFk", insertable = false, updatable = false, nullable=false)
	private Integer noSKId;

    @ManyToOne
    @JoinColumn(name = "RekananPenjaminFk")
    @Caption(value="Rekanan Penjamin") 
    private RekananVO rekanan;
	
	@Column(name = "RekananPenjaminFk", insertable = false, updatable = false, nullable=false)
	private Integer rekananId;

	@ManyToOne
	@JoinColumn(name = "KomponenHargaFk")
	@Caption(value = "Komponen Harga")
	private KomponenHargaVO komponenHarga;
	@Column(name = "KomponenHargaFk", insertable = false, updatable = false, nullable=false)
	private Integer komponenHargaId;

	@Column(name = "HargaSatuanPremi", nullable = true)
	@Caption(value = "Harga Satuan Premi")
	private Double hargaSatuanPremi;

	@Column(name = "PersenHargaSatuanPremi", nullable = true)
	@Caption(value = "Persen Harga Satuan Premi")
	private Double persenHargaSatuanPremi;

	@Column(name = "FactorRate", nullable = false)
	@Caption(value = "Factor Rate")
	private Double factorRate;

	@Column(name = "OperatorFactorRate", nullable = false)
	@Caption(value = "Operator Factor Rate")
	private String operatorFactorRate;

	@Column(name = "TotalFactorRatePremi", nullable = true)
	@Caption(value = "Total Factor Rate Premi")
	private Double totalFactorRatePremi;

	@Column(name = "IsByMonth", nullable = false)
	@Caption(value = "Is By Month")
	private Byte isByMonth;

	@Column(name = "IsByYear", nullable = false)
	@Caption(value = "Is By Year")
	private Byte isByYear;

	@Column(name = "KeteranganLainnya", nullable = true)
	@Caption(value = "Keterangan Lainnya")
	private String keteranganLainnya;

	public SuratKeputusanVO getNoSK() {
		return noSK;
	}

	public void setNoSK(SuratKeputusanVO noSK) {
		this.noSK = noSK;
	}

	public Integer getNoSKId() {
		return noSKId;
	}

	public void setNoSKId(Integer noSKId) {
		this.noSKId = noSKId;
	}

	public RekananVO getRekanan() {
		return rekanan;
	}

	public void setRekanan(RekananVO rekanan) {
		this.rekanan = rekanan;
	}

	public Integer getRekananId() {
		return rekananId;
	}

	public void setRekananId(Integer rekananId) {
		this.rekananId = rekananId;
	}

	public KomponenHargaVO getKomponenHarga() {
		return komponenHarga;
	}

	public void setKomponenHarga(KomponenHargaVO komponenHarga) {
		this.komponenHarga = komponenHarga;
	}

	public Integer getKomponenHargaId() {
		return komponenHargaId;
	}

	public void setKomponenHargaId(Integer komponenHargaId) {
		this.komponenHargaId = komponenHargaId;
	}

	public Double getHargaSatuanPremi() {
		return hargaSatuanPremi;
	}

	public void setHargaSatuanPremi(Double hargaSatuanPremi) {
		this.hargaSatuanPremi = hargaSatuanPremi;
	}

	public Double getPersenHargaSatuanPremi() {
		return persenHargaSatuanPremi;
	}

	public void setPersenHargaSatuanPremi(Double persenHargaSatuanPremi) {
		this.persenHargaSatuanPremi = persenHargaSatuanPremi;
	}

	public Double getFactorRate() {
		return factorRate;
	}

	public void setFactorRate(Double factorRate) {
		this.factorRate = factorRate;
	}

	public String getOperatorFactorRate() {
		return operatorFactorRate;
	}

	public void setOperatorFactorRate(String operatorFactorRate) {
		this.operatorFactorRate = operatorFactorRate;
	}

	public Double getTotalFactorRatePremi() {
		return totalFactorRatePremi;
	}

	public void setTotalFactorRatePremi(Double totalFactorRatePremi) {
		this.totalFactorRatePremi = totalFactorRatePremi;
	}

	public Byte getIsByMonth() {
		return isByMonth;
	}

	public void setIsByMonth(Byte isByMonth) {
		this.isByMonth = isByMonth;
	}

	public Byte getIsByYear() {
		return isByYear;
	}

	public void setIsByYear(Byte isByYear) {
		this.isByYear = isByYear;
	}

	public String getKeteranganLainnya() {
		return keteranganLainnya;
	}

	public void setKeteranganLainnya(String keteranganLainnya) {
		this.keteranganLainnya = keteranganLainnya;
	}
	
}